## org.apache.cassandra.cli
Enum CliClient.ColumnFamilyArgument

    java.lang.Object
      java.lang.Enum<CliClient.ColumnFamilyArgument>
          org.apache.cassandra.cli.CliClient.ColumnFamilyArgument

All Implemented Interfaces:
  java.io.Serializable, java.lang.Comparable<CliClient.ColumnFamilyArgument>

Enclosing class:
  CliClient

    protected static enum CliClient.ColumnFamilyArgument

extends java.lang.Enum<CliClient.ColumnFamilyArgument>

Enum Constant Summary
`BLOOM_FILTER_FP_CHANCE`
`CACHING`
`COLUMN_METADATA`
`COLUMN_TYPE`
`COMMENT`
`COMPACTION_STRATEGY`
`COMPACTION_STRATEGY_OPTIONS`
`COMPARATOR`
`COMPRESSION_OPTIONS`
`DCLOCAL_READ_REPAIR_CHANCE`
`DEFAULT_VALIDATION_CLASS`
`GC_GRACE`
`KEY_VALIDATION_CLASS`
`MAX_COMPACTION_THRESHOLD`
`MEMTABLE_OPERATIONS`
`MEMTABLE_THROUGHPUT`
`MIN_COMPACTION_THRESHOLD`
`READ_REPAIR_CHANCE`
`REPLICATE_ON_WRITE`
`SUBCOMPARATOR`

Method Summary
`static CliClient.ColumnFamilyArgument` `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
`static CliClient.ColumnFamilyArgument[]` `values()` Returns an array containing the constants of this enum type, in the order they are declared.

Methods inherited from class java.lang.Enum
`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

Methods inherited from class java.lang.Object
`getClass, notify, notifyAll, wait, wait, wait`

Enum Constant Detail

### COLUMN_TYPE

    public static final CliClient.ColumnFamilyArgument COLUMN_TYPE

### COMPARATOR

    public static final CliClient.ColumnFamilyArgument COMPARATOR

### SUBCOMPARATOR

    public static final CliClient.ColumnFamilyArgument SUBCOMPARATOR

### COMMENT

    public static final CliClient.ColumnFamilyArgument COMMENT

### READ_REPAIR_CHANCE

    public static final CliClient.ColumnFamilyArgument READ_REPAIR_CHANCE

### DCLOCAL_READ_REPAIR_CHANCE

    public static final CliClient.ColumnFamilyArgument DCLOCAL_READ_REPAIR_CHANCE

### GC_GRACE

    public static final CliClient.ColumnFamilyArgument GC_GRACE

### COLUMN_METADATA

    public static final CliClient.ColumnFamilyArgument COLUMN_METADATA

### MEMTABLE_OPERATIONS

    public static final CliClient.ColumnFamilyArgument MEMTABLE_OPERATIONS

### MEMTABLE_THROUGHPUT

    public static final CliClient.ColumnFamilyArgument MEMTABLE_THROUGHPUT

### DEFAULT_VALIDATION_CLASS

    public static final CliClient.ColumnFamilyArgument DEFAULT_VALIDATION_CLASS

### MIN_COMPACTION_THRESHOLD

    public static final CliClient.ColumnFamilyArgument MIN_COMPACTION_THRESHOLD

### MAX_COMPACTION_THRESHOLD

    public static final CliClient.ColumnFamilyArgument MAX_COMPACTION_THRESHOLD

### REPLICATE_ON_WRITE

    public static final CliClient.ColumnFamilyArgument REPLICATE_ON_WRITE

### KEY_VALIDATION_CLASS

    public static final CliClient.ColumnFamilyArgument KEY_VALIDATION_CLASS

### COMPACTION_STRATEGY

    public static final CliClient.ColumnFamilyArgument COMPACTION_STRATEGY

### COMPACTION_STRATEGY_OPTIONS

    public static final CliClient.ColumnFamilyArgument COMPACTION_STRATEGY_OPTIONS

### COMPRESSION_OPTIONS

    public static final CliClient.ColumnFamilyArgument COMPRESSION_OPTIONS

### BLOOM_FILTER_FP_CHANCE

    public static final CliClient.ColumnFamilyArgument BLOOM_FILTER_FP_CHANCE

### CACHING

    public static final CliClient.ColumnFamilyArgument CACHING

Method Detail

### values

    public static CliClient.ColumnFamilyArgument[] values()

  Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

      for (CliClient.ColumnFamilyArgument c : CliClient.ColumnFamilyArgument.values())
          System.out.println(c);

  Returns:
    an array containing the constants of this enum type, in the order they are declared

### valueOf

    public static CliClient.ColumnFamilyArgument valueOf(java.lang.String name)

  Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

  Parameters:
    `name` - the name of the enum constant to be returned.
  Returns:
    the enum constant with the specified name
  Throws:
    `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
    `java.lang.NullPointerException` - if the argument is null

Copyright © 2013 The Apache Software Foundation